> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/yardi-rest/appointments/create-applicant-appointment-yardi-rest/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Create Applicant Appointment: Yardi REST POST https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/ Content-Type: application/json Create an appointment for an applicant in Yardi. Yardi interprets appointment date and time as being in the timezone of the property.Those can be read in our `/timezones` endpoint.If the property doesn't have a specific timezone configured, there will be an integration global timezone record that should be used in that case.The time for this record is based on the Yardi server's configured timezone.In the case that the Yardi server time is different than the current time, we provide the `server_time_error_seconds` field on the `/timezones` endpoint as well.| Interface | Method | | -------------- | ----------------------------- | | ILS Guest Card | /ItfProspect/ImportYardiGuest |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync. Reference: https://docs.propexo.com/api-reference/yardi-rest/appointments/create-applicant-appointment-yardi-rest ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Body (application/json) This endpoint expects a _v1_events_appointments_applicants_yardi_rest__post_input. - `integration_id` (string, required) — The Propexo unique identifier for the integration - `applicant_id` (string, required) — The Propexo unique identifier for the applicant - `unit_id` (string, required) — The Propexo unique identifier for the unit - `employee_id` (string, required) — The Propexo unique identifier for the employee - `appointment_date` (V1EventsAppointmentsApplicantsYardiRestPostInputAppointmentDate, required) — The date when the appointment will occur - `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones - `notes` (string, optional) — Notes associated with the event ## Response ### 200 Successful response - `meta` (V1EventsAppointmentsApplicantsYardiRestPostOutputMeta, required) - `result` (V1EventsAppointmentsApplicantsYardiRestPostOutputResult, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### V1EventsAppointmentsApplicantsYardiRestPostInputAppointmentDate The date when the appointment will occur ### V1EventsAppointmentsApplicantsYardiRestPostOutputMeta - `job_id` (string, required) ### V1EventsAppointmentsApplicantsYardiRestPostOutputResult - `integration_id` (string, required) — The Propexo unique identifier for the integration - `applicant_id` (string, required) — The Propexo unique identifier for the applicant - `unit_id` (string, required) — The Propexo unique identifier for the unit - `employee_id` (string, required) — The Propexo unique identifier for the employee - `appointment_date` (V1EventsAppointmentsApplicantsYardiRestPostOutputResultAppointmentDate, required, nullable) - `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones - `notes` (string, required, nullable) — Notes associated with the event ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### V1EventsAppointmentsApplicantsYardiRestPostOutputResultAppointmentDate ## Examples **Request** ```json { "integration_id": "intg-9f8b7c6d5e4a3b2c", "applicant_id": "app-1234567890abcdef", "unit_id": "unit-9876543210fedcba", "employee_id": "emp-1122334455667788", "appointment_date": "2024-01-15T09:30:00Z", "appointment_time": "09:30:00" } ``` **Response** ```json { "meta": { "job_id": "job-20240115-093000-xyz" }, "result": { "integration_id": "intg-9f8b7c6d5e4a3b2c", "applicant_id": "app-1234567890abcdef", "unit_id": "unit-9876543210fedcba", "employee_id": "emp-1122334455667788", "appointment_date": "2024-01-15T09:30:00Z", "appointment_time": "09:30:00", "notes": "Initial appointment scheduled via Yardi integration." } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/" payload = { "integration_id": "intg-9f8b7c6d5e4a3b2c", "applicant_id": "app-1234567890abcdef", "unit_id": "unit-9876543210fedcba", "employee_id": "emp-1122334455667788", "appointment_date": "2024-01-15T09:30:00Z", "appointment_time": "09:30:00" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c","applicant_id":"app-1234567890abcdef","unit_id":"unit-9876543210fedcba","employee_id":"emp-1122334455667788","appointment_date":"2024-01-15T09:30:00Z","appointment_time":"09:30:00"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/" payload := strings.NewReader("{\n \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n \"applicant_id\": \"app-1234567890abcdef\",\n \"unit_id\": \"unit-9876543210fedcba\",\n \"employee_id\": \"emp-1122334455667788\",\n \"appointment_date\": \"2024-01-15T09:30:00Z\",\n \"appointment_time\": \"09:30:00\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n \"applicant_id\": \"app-1234567890abcdef\",\n \"unit_id\": \"unit-9876543210fedcba\",\n \"employee_id\": \"emp-1122334455667788\",\n \"appointment_date\": \"2024-01-15T09:30:00Z\",\n \"appointment_time\": \"09:30:00\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n \"applicant_id\": \"app-1234567890abcdef\",\n \"unit_id\": \"unit-9876543210fedcba\",\n \"employee_id\": \"emp-1122334455667788\",\n \"appointment_date\": \"2024-01-15T09:30:00Z\",\n \"appointment_time\": \"09:30:00\"\n}") .asString(); ``` ```php request('POST', 'https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/', [ 'body' => '{ "integration_id": "intg-9f8b7c6d5e4a3b2c", "applicant_id": "app-1234567890abcdef", "unit_id": "unit-9876543210fedcba", "employee_id": "emp-1122334455667788", "appointment_date": "2024-01-15T09:30:00Z", "appointment_time": "09:30:00" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n \"applicant_id\": \"app-1234567890abcdef\",\n \"unit_id\": \"unit-9876543210fedcba\",\n \"employee_id\": \"emp-1122334455667788\",\n \"appointment_date\": \"2024-01-15T09:30:00Z\",\n \"appointment_time\": \"09:30:00\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "integration_id": "intg-9f8b7c6d5e4a3b2c", "applicant_id": "app-1234567890abcdef", "unit_id": "unit-9876543210fedcba", "employee_id": "emp-1122334455667788", "appointment_date": "2024-01-15T09:30:00Z", "appointment_time": "09:30:00" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```